Home » SQL & PL/SQL » SQL & PL/SQL » identifier 'PACK_GEO.TRAN001' must be declared (AIX, Oracle 11.2.0.3)
identifier 'PACK_GEO.TRAN001' must be declared [message #669045] Fri, 30 March 2018 04:14 Go to next message
arijit2004
Messages: 9
Registered: September 2007
Junior Member
Error at line 3:
ORA-06550: line 3, column 9:
PLS-00201:identifier 'PACK_GEO.TRAN001' must be declared
ORA-06550: line 3, column 0:
PL/SQL:Statement ignored


We are getting above error when tried to invoke a new package through unix OS user.

Public synonym were missing initially and we have created it.

How to ensure that the OS user (uses OS authentication to connect to Oracle ) can invoke the package?
How to check if privilege has been given to this OS user?
In oracle database user is OPS$CDR726


Re: identifier 'PACK_GEO.TRAN001' must be declared [message #669046 is a reply to message #669045] Fri, 30 March 2018 05:51 Go to previous messageGo to next message
Michel Cadot
Messages: 67303
Registered: March 2007
Location: Nanterre, France, http://...
Senior Member
Account Moderator

Quote:
How to ensure that the OS user (uses OS authentication to connect to Oracle ) can invoke the package?
How to check if privilege has been given to this OS user?
Query USER/ALL/DBA_TAB_PRIVS

Re: identifier 'PACK_GEO.TRAN001' must be declared [message #669047 is a reply to message #669046] Fri, 30 March 2018 06:29 Go to previous message
arijit2004
Messages: 9
Registered: September 2007
Junior Member
Thanks.I granted GRANT EXECUTE ON <SCHEMA NAME>.PACK_GEO TO OPS$CDR726;
it worked.
Previous Topic: How to get this table from that Database
Next Topic: getting error "table table1 is mutating, trigger/function may no" on executing trigger
Goto Forum:
  


Current Time: Fri Aug 14 06:54:03 CDT 2020